Admin/Create Queue
POST /v1/admin/queues

Create Queue

Base URL https://api.{cluster}.{platform}.voiger.io
Request · cURL
curl -X POST https://api.{cluster}.{platform}.voiger.io/v1/admin/queues \
  -H "Cookie: sid=$VOIGER_SESSION" \
  -H "x-workspace-code: your-workspace-code" \
  -H "x-csrf-token: $CSRF_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
       "queue": {
         "name": "Sales",
         "status": "active",
         "strategy": "longest_idle_agent",
         "image": null,
         "team": {
           "id": "ff3bfada-11b2-464e-adaf-ce645ccc917c"
         },
         "moh": {
           "id": "d54f6540-92f7-4116-9164-2b4f67e86b6e"
         },
         "cli": {
           "id": "e23f6540-92f7-4116-9164-2b4f67e86b6e"
         },
         "timeout": null,
         "mow": {
           "id": "d54f6540-92f7-4116-9164-2b4f67e86b6e"
         },
         "timeout_action": {
           "type": "queue",
           "value": "ce3bfada-11b2-464e-adaf-ce645ccc917c"
         },
         "timeslots": null,
         "beyond_timeslots_action": {
           "type": "hangup",
           "value": null
         },
         "survey_id": "7c1c0f4e-1234-4abc-9de0-001122334455",
         "caller_id_name_template": "{CallerID} via {Queue}",
         "language": "En",
         "priority": 1
       }
     }'

Parameters

x-workspace-code string required in header
x-csrf-token string required in header

Response

queue▾
object
id
string
name
string
image▾
null | object when image is attached, empty object, otherwise null will be returned
id
string
moh▾
null | object
id
string
name
string
cli▾
null | object
id
string
value
string
status
string
strategy
string
team▾
object
id
string
name
string
image▾
null | object
id
string
timeout▾
null | object
value
integer
fallback▾
object
type
string
value
null | object
mow▾
null | object
id
string
language
string
priority
number
timeout_action▾
null | object
type
string
value
null | string
timeslots
null | object
beyond_timeslots_action▾
null | object
type
string
value
null | string
survey_id
null | string ID of the assigned survey (null when unassigned).
caller_id_name_template
string
created_at
string
updated_at
string